Package wx

[frames | no frames]

## Package wx

Submodules

- `animate`: Simple animation player classes, including `GIFAnimationCtrl` for displaying animated GIF files
- `aui`: The wx.aui moduleis an Advanced User Interface library that aims to implement "cutting-edge" interface usability and design features so developers can quickly and easily create beautiful and usable application interfaces.
- `build`: This package provides the config module, which is used by wxPython's setup.py distutils script.
- `calendar`: Classes for an interactive Calendar control.
- `combo`: ComboCtrl class that can have any type of popup widget, and also an owner-drawn combobox control.
- `gizmos`: Various gizmo classes: `DynamicSashWindow`, `EditableListBox`, `LEDNumberCtrl`, `TreeListCtrl`, etc.
- `glcanvas`: `GLCanvas` provides an OpenGL Context on a `wx.Window`.
- `grid`: Classes for implementing a spreadsheet-like control.
- `html`: Classes for a simple HTML rendering window, HTML Help Window, etc.
- `lib`
- `media`: Classes for a media player control
- `py`: The py package, formerly the PyCrust package.
- `richtext`
- `stc`: The `StyledTextCtrl` provides a text editor that can used as a syntax highlighting source code editor, or similar.
- `tools`: Some useful tools and utilities for wxPython.
- `webkit`: wx.webkit.WebKitCtrl for Mac OSX.
- `wizard`: `Wizard` is a dialog class that guides the user through a sequence of steps, or pages.
- `xrc`: The `XmlResource` class allows program resources defining menus, layout of controls on a panel, etc.

Classes
`AboutDialogInfo` | `wx.AboutDialogInfo` contains information to be shown in the standard About dialog displayed by the `wx.AboutBox` function.
`AcceleratorEntry` | A class used to define items in an `wx.AcceleratorTable`.
`AcceleratorTable` | An accelerator table allows the application to specify a table of keyboard shortcuts for menus or other commands.
`ActivateEvent` | An activate event is sent when a top-level window or the entire application is being activated or deactivated.
`AlphaPixelData` | Proxy of C++ AlphaPixelData class
`AlphaPixelData_Accessor` | Proxy of C++ AlphaPixelData_Accessor class
`ANIHandler` | A `wx.ImageHandler` for *.ani animated cursor files.
`App` | The `wx.App` class represents the application and is used to:
`ArtProvider` | The wx.ArtProvider class is used to customize the look of wxWidgets application.
`AutoBufferedPaintDC` | If the current platform double buffers by default then this DC is the same as a plain `wx.PaintDC`, otherwise it is a `wx.BufferedPaintDC`.
`Bitmap` | The wx.Bitmap class encapsulates the concept of a platform-dependent bitmap.
`BitmapButton` | A Button that contains a bitmap.
`BitmapDataObject` | wx.BitmapDataObject is a specialization of wxDataObject for bitmap data.
`BMPHandler` | A `wx.ImageHandler` for *.bmp bitmap files.
`BookCtrlBase` | Proxy of C++ BookCtrlBase class
`BookCtrlBaseEvent` | Proxy of C++ BookCtrlBaseEvent class
`BoxSizer` | The basic idea behind a box sizer is that windows will most often be laid out in rather simple basic geometry, typically in a row or a column or nested hierarchies of either.
`Brush` | A brush is a drawing tool for filling in areas.
`BrushList` | Proxy of C++ BrushList class
`BufferedDC` | This simple class provides a simple way to avoid flicker: when drawing on it, everything is in fact first drawn on an in-memory buffer (a `wx.Bitmap`) and then copied to the screen only once, when this object is destroyed.
`BufferedPaintDC` | This is a subclass of `wx.BufferedDC` which can be used inside of an EVT_PAINT event handler.
`BusyCursor` | Proxy of C++ BusyCursor class
`BusyInfo` | Proxy of C++ BusyInfo class
`Button` | A button is a control that contains a text string, and is one of the most common elements of a GUI.
`CalculateLayoutEvent` | Proxy of C++ CalculateLayoutEvent class
`CallLater` | A convenience class for `wx.Timer`, that calls the given callable object once after the given amount of milliseconds, passing any positional or keyword args.
`Caret` | Proxy of C++ Caret class
`CheckBox` | A checkbox is a labelled box which by default is either on (the checkmark is visible) or off (no checkmark).
`CheckListBox` | Proxy of C++ CheckListBox class
`ChildFocusEvent` | A child focus event is sent to a (parent-)window when one of its child windows gains focus, so that the window could restore the focus back to its corresponding child if it loses it now and regains later.
`Choice` | A Choice control is used to select one of a list of strings.
`Choicebook` | Proxy of C++ Choicebook class
`ChoicebookEvent` | Proxy of C++ ChoicebookEvent class
`ClientDC` | A wx.ClientDC must be constructed if an application wishes to paint on the client area of a window from outside an EVT_PAINT event.
`Clipboard` | wx.Clipboard represents the system clipboard and provides methods to copy data to it or paste data from it.
`ClipboardLocker` | A helpful class for opening the clipboard and automatically closing it when the locker is destroyed.
`ClipboardTextEvent` | A Clipboard Text event is sent when a window intercepts a text copy/cut/paste message, i.e.
`CloseEvent` | This event class contains information about window and session close events.
`CollapsiblePane` | A collapsable pane is a container with an embedded button-like control which can be used by the user to collapse or expand the pane's contents.
`CollapsiblePaneEvent` | Proxy of C++ CollapsiblePaneEvent class
`Color` | A colour is an object representing a combination of Red, Green, and Blue (RGB) intensity values, and is used to determine drawing colours, window colours, etc.
`Colour` | A colour is an object representing a combination of Red, Green, and Blue (RGB) intensity values, and is used to determine drawing colours, window colours, etc.
`ColourData` | This class holds a variety of information related to the colour chooser dialog, used to transfer settings and results to and from the `wx.ColourDialog`.
`ColourDatabase` | Proxy of C++ ColourDatabase class
`ColourDialog` | This class represents the colour chooser dialog.
`ColourPickerCtrl` | This control allows the user to select a colour.
`ColourPickerEvent` | Proxy of C++ ColourPickerEvent class
`ComboBox` | A combobox is like a combination of an edit control and a listbox.
`CommandEvent` | This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
`Config` | This ConfigBase-derived class will use the registry on Windows, and will be a wx.FileConfig on other platforms.
`ConfigBase` | wx.ConfigBase class defines the basic interface of all config classes.
`ConfigPathChanger` | A handy little class which changes current path to the path of given entry and restores it in the destructoir: so if you declare a local variable of this type, you work in the entry directory and the path is automatically restored when the function returns.
`ContextHelp` | This class changes the cursor to a query and puts the application into a 'context-sensitive help mode'.
`ContextHelpButton` | Instances of this class may be used to add a question mark button that when pressed, puts the application into context-help mode.
`ContextMenuEvent` | This class is used for context menu events (EVT_CONTECT_MENU,) sent to give the application a chance to show a context (popup) menu.
`Control` | This is the base class for a control or 'widget'.
`ControlWithItems` | wx.ControlWithItems combines the `wx.ItemContainer` class with the wx.Control class, and is used for the base class of various controls that have items.
`CPPFileSystemHandler` | Proxy of C++ CPPFileSystemHandler class
`CURHandler` | A `wx.ImageHandler` for *.cur cursor files.
`Cursor` | A cursor is a small bitmap usually used for denoting where the mouse pointer is, with a picture that might indicate the interpretation of a mouse click.
`CustomDataObject` | wx.CustomDataObject is a specialization of `wx.DataObjectSimple` for some application-specific data in arbitrary format.
`DataFormat` | A wx.DataFormat is an encapsulation of a platform-specific format handle which is used by the system for the clipboard and drag and drop operations.
`DataObject` | A wx.DataObject represents data that can be copied to or from the clipboard, or dragged and dropped.
`DataObjectComposite` | wx.DataObjectComposite is the simplest `wx.DataObject` derivation which may be sued to support multiple formats.
`DataObjectSimple` | wx.DataObjectSimple is a `wx.DataObject` which only supports one format.
`DateEvent` | This event class holds information about a date change event and is used together with `wx.DatePickerCtrl`.
`DatePickerCtrl` | This control allows the user to select a date.
`DateSpan` | Proxy of C++ DateSpan class
`DateTime` | Proxy of C++ DateTime class
`DC` | A wx.DC is a device context onto which graphics and text can be drawn.
`DCBrushChanger` | wx.DCBrushChanger can be used to temporarily change the DC brush and restore it automatically when the object goes out of scope
`DCClipper` | wx.wxDCClipper sets the DC's clipping region when it is constructed, and then automatically destroys the clipping region when the clipper goes out of scope.
`DCOverlay` | Proxy of C++ DCOverlay class
`DCPenChanger` | wx.DCPenChanger can be used to temporarily change the DC pen and restore it automatically when the object goes out of scope
`DCTextColourChanger` | wx.DCTextColourChanger can be used to temporarily change the DC text colour and restore it automatically when the object goes out of scope
`Dialog` | Proxy of C++ Dialog class
`DirDialog` | wx.DirDialog allows the user to select a directory by browising the file system.
`DirFilterListCtrl` | Proxy of C++ DirFilterListCtrl class
`DirPickerCtrl` | Proxy of C++ DirPickerCtrl class
`Display` | Represents a display/monitor attached to the system
`DisplayChangedEvent` | An EVT_DISPLAY_CHANGED event is sent to all windows when the display resolution has changed.
`DragImage` | Proxy of C++ DragImage class
`DropFilesEvent` | This class is used for drop files events, that is, when files have been dropped onto the window.
`DropSource` | Proxy of C++ DropSource class
`DropTarget` | Proxy of C++ DropTarget class
`Effects` | Proxy of C++ Effects class
`EncodingConverter` | Proxy of C++ EncodingConverter class
`EraseEvent` | An erase event is sent whenever the background of a window needs to be repainted.
`Event` | An event is a structure holding information about an event passed to a callback or member function.
`EventLoop` | Proxy of C++ EventLoop class
`EventLoopActivator` | Proxy of C++ EventLoopActivator class
`EvtHandler` | Proxy of C++ EvtHandler class
`FileConfig` | This config class will use a file for storage on all platforms.
`FileDataObject` | wx.FileDataObject is a specialization of `wx.DataObjectSimple` for file names.
`FileDialog` | wx.FileDialog allows the user to select one or more files from the filesystem.
`FileDirPickerEvent` | Proxy of C++ FileDirPickerEvent class
`FileDropTarget` | Proxy of C++ FileDropTarget class
`FileHistory` | Proxy of C++ FileHistory class
`FilePickerCtrl` | Proxy of C++ FilePickerCtrl class
`FileSystem` | Proxy of C++ FileSystem class
`FileSystemHandler` | Proxy of C++ FileSystemHandler class
`FileType` | Proxy of C++ FileType class
`FileTypeInfo` | Proxy of C++ FileTypeInfo class
`FindDialogEvent` | Events for the FindReplaceDialog
`FindReplaceData` | wx.FindReplaceData holds the data for wx.FindReplaceDialog.
`FindReplaceDialog` | wx.FindReplaceDialog is a standard modeless dialog which is used to allow the user to search for some text (and possibly replace it with something else).
`FlexGridSizer` | A flex grid sizer is a sizer which lays out its children in a two-dimensional table with all table cells in one row having the same height and all cells in one column having the same width, but all rows or all columns are not necessarily the same height or width as in the `wx.GridSizer`.
`FocusEvent` | A focus event is sent when a window's focus changes.
`Font` | A font is an object which determines the appearance of text.
`FontData` | This class holds a variety of information related to font dialogs and is used to transfer settings to and results from a `wx.FontDialog`.
`FontDialog` | wx.FontDialog allows the user to select a system font and its attributes.
`FontEnumerator` | Proxy of C++ FontEnumerator class
`FontList` | Proxy of C++ FontList class
`FontMapper` | Proxy of C++ FontMapper class
`FontPickerCtrl` | Proxy of C++ FontPickerCtrl class
`FontPickerEvent` | Proxy of C++ FontPickerEvent class
`Frame` | Proxy of C++ Frame class
`FSFile` | Proxy of C++ FSFile class
`FutureCall` | A compatibility alias for `CallLater`.
`Gauge` | Proxy of C++ Gauge class
`GBPosition` | This class represents the position of an item in a virtual grid of rows and columns managed by a `wx.GridBagSizer`.
`GBSizerItem` | The wx.GBSizerItem class is used to track the additional data about items in a `wx.GridBagSizer` such as the item's position in the grid and how many rows or columns it spans.
`GBSpan` | This class is used to hold the row and column spanning attributes of items in a `wx.GridBagSizer`.
`GCDC` | Proxy of C++ GCDC class
`GDIObject` | Proxy of C++ GDIObject class
`GDIObjListBase` | Proxy of C++ GDIObjListBase class
`GenericDirCtrl` | Proxy of C++ GenericDirCtrl class
`GIFHandler` | A `wx.ImageHandler` for GIF image files.
`GraphicsBrush` | A wx.GraphicsBrush is a native representation of a brush.
`GraphicsContext` | A `wx.GraphicsContext` instance is the object that is drawn upon.
`GraphicsFont` | A `wx.GraphicsFont` is a native representation of a font (including text colour).
`GraphicsMatrix` | A wx.GraphicsMatrix is a native representation of an affine matrix.
`GraphicsObject` | This class is the superclass of native graphics objects like pens etc.
`GraphicsPath` | Proxy of C++ GraphicsPath class
`GraphicsPen` | A wx.GraphicsPen is a native representation of a pen.
`GraphicsRenderer` | Proxy of C++ GraphicsRenderer class
`GridBagSizer` | A `wx.Sizer` that can lay out items in a virtual grid like a `wx.FlexGridSizer` but in this case explicit positioning of the items is allowed using `wx.GBPosition`, and items can optionally span more than one row and/or column using `wx.GBSpan`.
`GridSizer` | A grid sizer is a sizer which lays out its children in a two-dimensional table with all cells having the same size.
`HeaderButtonParams` | Extra (optional) parameters for `wx.RendererNative.DrawHeaderButton`
`HelpEvent` | A help event is sent when the user has requested context-sensitive help.
`HelpProvider` | wx.HelpProvider is an abstract class used by a program implementing context-sensitive help to show the help text for the given window.
`HtmlListBox` | Proxy of C++ HtmlListBox class
`HyperlinkCtrl` | A static text control that emulates a hyperlink.
`HyperlinkEvent` | Proxy of C++ HyperlinkEvent class
`ICOHandler` | A `wx.ImageHandler` for *.ico icon files.
`Icon` | Proxy of C++ Icon class
`IconBundle` | Proxy of C++ IconBundle class
`IconizeEvent` | An EVT_ICONIZE event is sent when a frame is iconized (minimized) or restored.
`IconLocation` | Proxy of C++ IconLocation class
`IdleEvent` | This class is used for EVT_IDLE events, which are generated and sent when the application becomes idle.
`Image` | A platform-independent image class.
`Image_HSVValue` | An object that contains values for hue, saturation and value which represent the value of a color.
`Image_RGBValue` | An object that contains values for red, green and blue which represent the value of a color.
`ImageHandler` | This is the base class for implementing image file loading/saving, and image creation from data.
`ImageHistogram` | Proxy of C++ ImageHistogram class
`ImageList` | Proxy of C++ ImageList class
`IndividualLayoutConstraint` | Objects of this class are stored in the `wx.LayoutConstraints` class as one of eight possible constraints that a window can be involved in.
`InitDialogEvent` | A wx.InitDialogEvent is sent as a dialog is being initialised, or for any window when `wx.Window.InitDialog` is called.
`InputStream` | Proxy of C++ InputStream class
`InternetFSHandler` | Proxy of C++ InternetFSHandler class
`ItemContainer` | The wx.ItemContainer class defines an interface which is implemented by all controls which have string subitems, each of which may be selected, such as `wx.ListBox`, `wx.CheckListBox`, `wx.Choice` as well as `wx.ComboBox` which implements an extended interface deriving from this one.
`Joystick` | Proxy of C++ Joystick class
`JoystickEvent` | Proxy of C++ JoystickEvent class
`JPEGHandler` | A `wx.ImageHandler` for JPEG/JPG image files.
`KeyEvent` | This event class contains information about keypress and character events.
`LanguageInfo` | Proxy of C++ LanguageInfo class
`LayoutAlgorithm` | Proxy of C++ LayoutAlgorithm class
`LayoutConstraints` | Note: constraints are now deprecated and you should use sizers instead.
`Listbook` | Proxy of C++ Listbook class
`ListbookEvent` | Proxy of C++ ListbookEvent class
`ListBox` | Proxy of C++ ListBox class
`ListCtrl` | Proxy of C++ ListCtrl class
`ListEvent` | Proxy of C++ ListEvent class
`ListItem` | Proxy of C++ ListItem class
`ListItemAttr` | Proxy of C++ ListItemAttr class
`ListView` | Proxy of C++ ListView class
`Locale` | Proxy of C++ Locale class
`Log` | Proxy of C++ Log class
`LogBuffer` | Proxy of C++ LogBuffer class
`LogChain` | Proxy of C++ LogChain class
`LogGui` | Proxy of C++ LogGui class
`LogNull` | Proxy of C++ LogNull class
`LogStderr` | Proxy of C++ LogStderr class
`LogTextCtrl` | Proxy of C++ LogTextCtrl class
`LogWindow` | Proxy of C++ LogWindow class
`Mask` | This class encapsulates a monochrome mask bitmap, where the masked area is black and the unmasked area is white.
`MaximizeEvent` | An EVT_MAXIMIZE event is sent when a frame is maximized or restored.
`MDIChildFrame` | Proxy of C++ MDIChildFrame class
`MDIClientWindow` | Proxy of C++ MDIClientWindow class
`MDIParentFrame` | Proxy of C++ MDIParentFrame class
`MemoryDC` | A memory device context provides a means to draw graphics onto a bitmap.
`MemoryFSHandler` | Proxy of C++ MemoryFSHandler class
`Menu` | Proxy of C++ Menu class
`MenuBar` | Proxy of C++ MenuBar class
`MenuEvent` | This class is used for a variety of menu-related events.
`MenuItem` | Proxy of C++ MenuItem class
`MessageDialog` | This class provides a simple dialog that shows a single or multi-line message, with a choice of OK, Yes, No and/or Cancel buttons.
`MetaFile` | Proxy of C++ MetaFile class
`MetafileDataObject` | Proxy of C++ MetafileDataObject class
`MetaFileDC` | Proxy of C++ MetaFileDC class
`MimeTypesManager` | Proxy of C++ MimeTypesManager class
`MiniFrame` | Proxy of C++ MiniFrame class
`MirrorDC` | wx.MirrorDC is a simple wrapper class which is always associated with a real `wx.DC` object and either forwards all of its operations to it without changes (no mirroring takes place) or exchanges x and y coordinates which makes it possible to reuse the same code to draw a figure and its mirror -- i.e.
`MouseCaptureChangedEvent` | An mouse capture changed event (EVT_MOUSE_CAPTURE_CHANGED) is sent to a window that loses its mouse capture.
`MouseCaptureLostEvent` | A mouse capture lost event is sent to a window that obtained mouse capture, which was subsequently loss due to "external" event, for example when a dialog box is shown or if another application captures the mouse.
`MouseEvent` | This event class contains information about the events generated by the mouse: they include mouse buttons press and release events and mouse move events.
`MouseState` | `wx.MouseState` is used to hold information about mouse button and modifier key states and is what is returned from `wx.GetMouseState`.
`MoveEvent` | This event object is sent for EVT_MOVE event bindings when a window is moved to a new position.
`MultiChoiceDialog` | A simple dialog with a multi selection listbox.
`MutexGuiLocker` | Proxy of C++ MutexGuiLocker class
`NativeEncodingInfo` | Proxy of C++ NativeEncodingInfo class
`NativeFontInfo` | Proxy of C++ NativeFontInfo class
`NativePixelData` | Proxy of C++ NativePixelData class
`NativePixelData_Accessor` | Proxy of C++ NativePixelData_Accessor class
`NavigationKeyEvent` | EVT_NAVIGATION_KEY events are used to control moving the focus between widgets, otherwise known as tab-traversal.
`NcPaintEvent` | Proxy of C++ NcPaintEvent class
`new_instancemethod` | instancemethod(function, instance, class)
`Notebook` | Proxy of C++ Notebook class
`NotebookEvent` | Proxy of C++ NotebookEvent class
`NotebookPage` | There is an old (and apparently unsolvable) bug when placing a window with a nonstandard background colour in a wx.Notebook on wxGTK1, as the notbooks's background colour would always be used when the window is refreshed.
`NotifyEvent` | An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
`NumberEntryDialog` | A dialog with spin control, ok and cancel buttons.
`Object` | The base class for most wx objects, although in wxPython not much functionality is needed nor exposed.
`OutputStream` | Proxy of C++ OutputStream class
`Overlay` | Proxy of C++ Overlay class
`PageSetupDialog` | Proxy of C++ PageSetupDialog class
`PageSetupDialogData` | Proxy of C++ PageSetupDialogData class
`PaintDC` | A wx.PaintDC must be constructed if an application wishes to paint on the client area of a window from within an EVT_PAINT event handler.
`PaintEvent` | A paint event is sent when a window's contents needs to be repainted.
`Palette` | Proxy of C++ Palette class
`PaletteChangedEvent` | An EVT_PALETTE_CHANGED event is sent when the system palette has changed, thereby giving each window a chance to redo their own to match.
`Panel` | Proxy of C++ Panel class
`PasswordEntryDialog` | Proxy of C++ PasswordEntryDialog class
`PCXHandler` | A `wx.ImageHandler` for PCX imager files.
`Pen` | Proxy of C++ Pen class
`PenList` | Proxy of C++ PenList class
`PickerBase` | Base abstract class for all pickers which support an auxiliary text control.
`PixelDataBase` | Proxy of C++ PixelDataBase class
`PlatformInformation` | Proxy of C++ PlatformInformation class
`PNGHandler` | A `wx.ImageHandler` for PNG image files.
`PNMHandler` | A `wx.ImageHandler` for PNM image files.
`Point` | A data structure for representing a point or position with integer x and y properties.
`Point2D` | wx.Point2Ds represent a point or a vector in a 2d coordinate system with floating point values.
`PopupTransientWindow` | Proxy of C++ PopupTransientWindow class
`PopupWindow` | Proxy of C++ PopupWindow class
`PostScriptDC` | This is a `wx.DC` that can write to PostScript files on any platform.
`PowerEvent` | wx.PowerEvent is generated when the system online status changes.
`PreviewCanvas` | Proxy of C++ PreviewCanvas class
`PreviewControlBar` | Proxy of C++ PreviewControlBar class
`PreviewFrame` | Proxy of C++ PreviewFrame class
`PrintData` | Proxy of C++ PrintData class
`PrintDialog` | Proxy of C++ PrintDialog class
`PrintDialogData` | Proxy of C++ PrintDialogData class
`Printer` | Proxy of C++ Printer class
`PrinterDC` | Proxy of C++ PrinterDC class
`Printout` | Proxy of C++ Printout class
`PrintPreview` | Proxy of C++ PrintPreview class
`Process` | Proxy of C++ Process class
`ProcessEvent` | Proxy of C++ ProcessEvent class
`ProgressDialog` | A dialog that shows a short message and a progress bar.
`PropagateOnce` | A helper class that will temporarily lower propagation level of an event.
`PropagationDisabler` | Helper class to temporarily change an event not to propagate.
`PseudoDC` | A PseudoDC is an object that can be used as if it were a `wx.DC`.
`PyApp` | The `wx.PyApp` class is an implementation detail, please use the `wx.App` class (or some other derived class) instead.
`PyBitmapDataObject` | wx.PyBitmapDataObject is a version of `wx.BitmapDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class.
`PyCommandEvent` | wx.PyCommandEvent can be used as a base class for implementing custom event types in Python, where the event shoudl travel up to parent windows looking for a handler.
`PyControl` | Proxy of C++ PyControl class
`PyDataObjectSimple` | wx.PyDataObjectSimple is a version of `wx.DataObjectSimple` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class.
`PyDropTarget` | Proxy of C++ DropTarget class
`PyEvent` | wx.PyEvent can be used as a base class for implementing custom event types in Python.
`PyEventBinder` | Instances of this class are used to bind specific events to event handlers.
`PyImageHandler` | This is the base class for implementing image file loading/saving, and image creation from data, all written in Python.
`PyLocale` | Proxy of C++ PyLocale class
`PyLog` | Proxy of C++ PyLog class
`PyOnDemandOutputWindow` | A class that can be used for redirecting Python's stdout and stderr streams.
`PyPanel` | Proxy of C++ PyPanel class
`PyPreviewControlBar` | Proxy of C++ PyPreviewControlBar class
`PyPreviewFrame` | Proxy of C++ PyPreviewFrame class
`PyPrintPreview` | Proxy of C++ PyPrintPreview class
`PyScrolledWindow` | Proxy of C++ PyScrolledWindow class
`PySimpleApp` | A simple application class.
`PySizer` | wx.PySizer is a special version of `wx.Sizer` that has been instrumented to allow the C++ virtual methods to be overloaded in Python derived classes.
`PyTextDataObject` | wx.PyTextDataObject is a version of `wx.TextDataObject` that is Python-aware and knows how to reflect calls to its C++ virtual methods to methods in the Python derived class.
`PyTimer` |
`PyTipProvider` | Proxy of C++ PyTipProvider class
`PyValidator` | Proxy of C++ PyValidator class
`PyWidgetTester` |
`PyWindow` | Proxy of C++ PyWindow class
`Quantize` | Performs quantization, or colour reduction, on a wxImage.
`QueryLayoutInfoEvent` | Proxy of C++ QueryLayoutInfoEvent class
`QueryNewPaletteEvent` | An EVT_QUERY_NEW_PALETE event indicates the window is getting keyboard focus and should re-do its palette.
`RadioBox` | Proxy of C++ RadioBox class
`RadioButton` | Proxy of C++ RadioButton class
`RealPoint` | A data structure for representing a point or position with floating point x and y properties.
`Rect` | A class for representing and manipulating rectangles.
`Rect2D` | wx.Rect2D is a rectangle, with position and size, in a 2D coordinate system with floating point component values.
`Region` | Proxy of C++ Region class
`RegionIterator` | Proxy of C++ RegionIterator class
`RendererNative` | One of the design principles of wxWidgets is to use the native widgets on every platform in order to be as close as possible to the native look and feel on every platform.
`RendererVersion` | This simple struct represents the `wx.RendererNative` interface version and is only used as the return value of `wx.RendererNative.GetVersion`.
`SashEvent` | Proxy of C++ SashEvent class
`SashLayoutWindow` | Proxy of C++ SashLayoutWindow class
`SashWindow` | Proxy of C++ SashWindow class
`ScreenDC` | A wxScreenDC can be used to paint anywhere on the screen.
`ScrollBar` | Proxy of C++ ScrollBar class
`ScrolledWindow` | Proxy of C++ ScrolledWindow class
`ScrollEvent` | A scroll event holds information about events sent from stand-alone scrollbars and sliders.
`ScrollWinEvent` | A wx.ScrollWinEvent holds information about scrolling and is sent from scrolling windows.
`SearchCtrl` | A search control is a composite of a `wx.TextCtrl` with optional bitmap buttons and a drop-down menu.
`SetCursorEvent` | A SetCursorEvent is generated when the mouse cursor is about to be set as a result of mouse motion.
`ShowEvent` | An EVT_SHOW event is sent when a window is shown or hidden.
`SimpleHelpProvider` | wx.SimpleHelpProvider is an implementation of `wx.HelpProvider` which supports only plain text help strings, and shows the string associated with the control (if any) in a tooltip.
`SimpleHtmlListBox` | Proxy of C++ SimpleHtmlListBox class
`SingleChoiceDialog` | A simple dialog with a single selection listbox.
`SingleInstanceChecker` | Proxy of C++ SingleInstanceChecker class
`Size` | wx.Size is a useful data structure used to represent the size of something.
`SizeEvent` | A size event holds information about size change events.
`Sizer` | wx.Sizer is the abstract base class used for laying out subwindows in a window.
`SizerFlags` | Normally, when you add an item to a sizer via `wx.Sizer.Add`, you have to specify a lot of flags and parameters which can be unwieldy.
`SizerItem` | The wx.SizerItem class is used to track the position, size and other attributes of each item managed by a `wx.Sizer`.
`Slider` | Proxy of C++ Slider class
`Sound` | Proxy of C++ Sound class
`SpinButton` | Proxy of C++ SpinButton class
`SpinCtrl` | Proxy of C++ SpinCtrl class
`SpinEvent` | Proxy of C++ SpinEvent class
`SplashScreen` | Proxy of C++ SplashScreen class
`SplashScreenWindow` | Proxy of C++ SplashScreenWindow class
`SplitterEvent` | This class represents the events generated by a splitter control.
`SplitterRenderParams` | This is just a simple struct used as a return value of `wx.RendererNative.GetSplitterParams` and contains some platform specific metrics about splitters.
`SplitterWindow` | wx.SplitterWindow manages up to two subwindows or panes, with an optional vertical or horizontal split which can be used with the mouse or programmatically.
`StandardPaths` | wx.StandardPaths returns standard locations in the file system and should be used by programs to find their data files in a portable way.
`StaticBitmap` | Proxy of C++ StaticBitmap class
`StaticBox` | Proxy of C++ StaticBox class
`StaticBoxSizer` | wx.StaticBoxSizer derives from and functions identically to the `wx.BoxSizer` and adds a `wx.StaticBox` around the items that the sizer manages.
`StaticLine` | Proxy of C++ StaticLine class
`StaticText` | Proxy of C++ StaticText class
`StatusBar` | Proxy of C++ StatusBar class
`StdDialogButtonSizer` | A special sizer that knows how to order and position standard buttons in order to conform to the current platform's standards.
`StockGDI` | Proxy of C++ StockGDI class
`StopWatch` | Proxy of C++ StopWatch class
`SysColourChangedEvent` | This class is used for EVT_SYS_COLOUR_CHANGED, which are generated when the user changes the colour settings using the control panel.
`SystemOptions` | Proxy of C++ SystemOptions class
`SystemSettings` | Proxy of C++ SystemSettings class
`TaskBarIcon` | Proxy of C++ TaskBarIcon class
`TaskBarIconEvent` | Proxy of C++ TaskBarIconEvent class
`TextAttr` | Proxy of C++ TextAttr class
`TextCtrl` | Proxy of C++ TextCtrl class
`TextDataObject` | wx.TextDataObject is a specialization of `wx.DataObject` for text data.
`TextDropTarget` | Proxy of C++ TextDropTarget class
`TextEntryDialog` | A dialog with text control, [ok] and [cancel] buttons
`TextUrlEvent` | Proxy of C++ TextUrlEvent class
`TGAHandler` | A `wx.ImageHandler` for TGA image files.
`TIFFHandler` | A `wx.ImageHandler` for TIFF image files.
`Timer` | Proxy of C++ Timer class
`TimerEvent` | Proxy of C++ TimerEvent class
`TimerRunner` | Proxy of C++ TimerRunner class
`TimeSpan` | Proxy of C++ TimeSpan class
`TipProvider` | Proxy of C++ TipProvider class
`TipWindow` | Proxy of C++ TipWindow class
`ToggleButton` | Proxy of C++ ToggleButton class
`ToolBar` | Proxy of C++ ToolBar class
`ToolBarBase` | Proxy of C++ ToolBarBase class
`ToolBarToolBase` | Proxy of C++ ToolBarToolBase class
`Toolbook` | Proxy of C++ Toolbook class
`ToolbookEvent` | Proxy of C++ ToolbookEvent class
`ToolTip` | Proxy of C++ ToolTip class
`TopLevelWindow` | Proxy of C++ TopLevelWindow class
`Treebook` | Proxy of C++ Treebook class
`TreebookEvent` | Proxy of C++ TreebookEvent class
`TreeCtrl` | Proxy of C++ TreeCtrl class
`TreeEvent` | Proxy of C++ TreeEvent class
`TreeItemData` | Proxy of C++ TreeItemData class
`TreeItemId` | Proxy of C++ TreeItemId class
`UpdateUIEvent` | This class is used for EVT_UPDATE_UI pseudo-events which are sent by wxWidgets to give an application the chance to update various user interface elements.
`URLDataObject` | This data object holds a URL in a format that is compatible with some browsers such that it is able to be dragged to or from them.
`Validator` | Proxy of C++ Validator class
`VideoMode` | A simple struct containing video mode parameters for a display
`VisualAttributes` | struct containing all the visual attributes of a control
`VListBox` | Proxy of C++ VListBox class
`VScrolledWindow` | Proxy of C++ VScrolledWindow class
`Window` | wx.Window is the base class for all windows and represents any visible object on the screen.
`WindowCreateEvent` | The EVT_WINDOW_CREATE event is sent as soon as the window object (the underlying GUI object) exists.
`WindowDC` | A wx.WindowDC must be constructed if an application wishes to paint on the whole area of a window (client and decorations).
`WindowDestroyEvent` | The EVT_WINDOW_DESTROY event is sent from the `wx.Window` destructor when the GUI window is destroyed.
`WindowDisabler` | Proxy of C++ WindowDisabler class
`XPMHandler` | A `wx.ImageHandler` for XPM image.
`ZipFSHandler` | Proxy of C++ ZipFSHandler class

Exceptions
`PyAssertionError` |
`PyDeadObjectError` |
`PyNoAppError` |
`PyUnbornObjectError` |

Function Summary
| ``AboutBox`(info)` This function shows the standard about dialog containing the information specified in `info`.
| ``App_CleanUp`()` For internal use only, it is used to cleanup after wxWidgets when Python shuts down.
DC | ``AutoBufferedPaintDCFactory`(window)` Checks if the window is natively double buffered and will return a `wx.PaintDC` if it is, a `wx.BufferedPaintDC` otherwise.
| `BeginBusyCursor(cursor)`
| `Bell()`
Bitmap | ``BitmapFromBits`(bits, width, height, depth)` Creates a bitmap from an array of bits.
| ``BitmapFromBuffer`(width, height, dataBuffer, alphaBuffer)` Creates a `wx.Bitmap` from the data in dataBuffer.
| ``BitmapFromBufferRGBA`(width, height, dataBuffer)` Creates a `wx.Bitmap` from the data in dataBuffer.
Bitmap | ``BitmapFromIcon`(icon)` Create a new bitmap from a `wx.Icon` object.
Bitmap | ``BitmapFromImage`(image, depth)` Creates bitmap object from a `wx.Image`.
Bitmap | ``BitmapFromXPMData`(listOfStrings)` Construct a Bitmap from a list of strings formatted as XPM data.
Brush | ``BrushFromBitmap`(stippleBitmap)` Constructs a stippled brush using a bitmap.
| ``CallAfter`(callable, *args, **kw)` Call the specified function after the current and pending event handlers have been completed.
(x, y, width, height) | `ClientDisplayRect()`
| ``ColorRGB`(*args, **kwargs)` ColourRGB(unsigned long colRGB) -> Colour
bool | `ColourDisplay()`
| ``ColourRGB`(*args, **kwargs)` ColourRGB(unsigned long colRGB) -> Colour
TipProvider | `CreateFileTipProvider(filename, currentTip)`
Cursor | ``CursorFromImage`(image)` Constructs a cursor from a `wx.Image`.
DataFormat | ``CustomDataFormat`(format)` Constructs a data format object for a custom format identified by its name.
DateSpan | `DateSpan_Days(days)`
DateSpan | `DateSpan_Months(mon)`
DateSpan | `DateSpan_Weeks(weeks)`
DateSpan | `DateSpan_Years(years)`
DateTime | `DateTimeFromDateTime(date)`
DateTime | `DateTimeFromDMY(day, month, year, hour, minute, second, millisec)`
DateTime | `DateTimeFromHMS(hour, minute, second, millisec)`
DateTime | `DateTimeFromJDN(jdn)`
DateTime | `DateTimeFromTimeT(timet)`
String | `DirSelector(message, defaultPath, style, pos, parent)`
int | `DisplayDepth()`
(width, height) | `DisplaySize()`
(width, height) | `DisplaySizeMM()`
| ``DLG_PNT`(win, point_or_x, y)` Convenience function for converting a Point or (x,y) in dialog units to pixel units.
| ``DLG_SZE`(win, size_width, height)` Convenience function for converting a Size or (w,h) in dialog units to pixel units.
DragImage | `DragIcon(image, cursor)`
DragImage | `DragListItem(listCtrl, id)`
DragImage | `DragString(str, cursor)`
DragImage | `DragTreeItem(treeCtrl, id)`
bool | `DrawWindowOnDC(window, dc)`
| ``DROP_ICON`(filename)` Returns either a `wx.Cursor` or `wx.Icon` created from the image file `filename`.
Bitmap | ``EmptyBitmap`(width, height, depth)` Creates a new bitmap of the given size.
Icon | `EmptyIcon()`
Image | ``EmptyImage`(width, height, clear)` Construct an empty image of a given size, optionally setting all pixels to black.
| `EnableTopLevelWindows(enable)`
| `EndBusyCursor()`
long | `Execute(command, flags, process)`
| ``Exit`()` Force an exit of the application.
String | ``ExpandEnvVars`(sz)` Replace environment variables ($SOMETHING) with their values.
Font | ``FFont`(pointSize, family, flags, face, encoding)` A bit of a simpler way to create a `wx.Font` using flags instead of individual attribute settings.
Font | ``FFontFromPixelSize`(pixelSize, family, flags, face, encoding)` Creates a font using a size in pixels rather than points.
String | `FileSelector(message, default_path, default_filename, default_extension, wildcard, flags, parent, x, y)`
FileTypeInfo | `FileTypeInfoSequence(sArray)`
Window | `FindWindowAtPoint(pt)`
Window | ``FindWindowAtPointer`()` this application.
Window | ``FindWindowById`(id, parent)` Find the first window in the application with the given id.
Window | ``FindWindowByLabel`(label, parent)` Find a window by its label.
Window | ``FindWindowByName`(name, parent)` Find a window by its name (as given in a window constructor or Create function call).
| ``Font2`(*args, **kwargs)` Use `wx.FFont` instead.
Font | ``FontFromNativeInfo`(info)` Construct a `wx.Font` from a `wx.NativeFontInfo` object.
Font | ``FontFromNativeInfoString`(info)` Construct a `wx.Font` from the string representation of a `wx.NativeFontInfo` object.
Font | ``FontFromPixelSize`(pixelSize, family, style, weight, underlined, face, encoding)` Creates a font using a size in pixels rather than points.
GBSizerItem | ``GBSizerItemSizer`(sizer, pos, span, flag, border, userData)` Construct a `wx.GBSizerItem` for a sizer
GBSizerItem | ``GBSizerItemSpacer`(width, height, pos, span, flag, border, userData)` Construct a `wx.GBSizerItem` for a spacer.
GBSizerItem | ``GBSizerItemWindow`(window, pos, span, flag, border, userData)` Construct a `wx.GBSizerItem` for a window.
Window | `GenericFindWindowAtPoint(pt)`
AcceleratorEntry | `GetAccelFromString(label)`
Window | ``GetActiveWindow`()` Get the currently active window of this application, or None
PyApp | ``GetApp`()` Return a reference to the current wx.App object.
int | ``GetBatteryState`()` return approximate battery state
Rect | `GetClientDisplayRect()`
Colour | `GetColourFromUser(parent, colInit, caption)`
long | `GetCurrentId()`
long | `GetCurrentTime()`
string | ``GetDefaultPyEncoding`()` Gets the current encoding that wxPython will use when it needs to convert a Python string or unicode object to or from a wxString.
int | `GetDisplayDepth()`
Size | `GetDisplaySize()`
Size | `GetDisplaySizeMM()`
| ``GetElapsedTime`(*args, **kwargs)` <function GetElapsedTime at 0xb79ab144> is deprecated
String | `GetEmailAddress()`
Font | `GetFontFromUser(parent, fontInit, caption)`
wxMemorySize | `GetFreeMemory()`
String | `GetFullHostName()`
String | `GetHomeDir()`
String | `GetHostName()`
bool | ``GetKeyState`(key)` Get the state of a key (true if pressed or toggled on, false if not.) This is generally most useful getting the state of the modifier or toggle keys.
Locale | `GetLocale()`
long | `GetLocalTime()`
wxLongLong | `GetLocalTimeMillis()`
Point | ``GetMousePosition`()` Get the current mouse position on the screen.
MouseState | ``GetMouseState`()` Returns the current state of the mouse.
NativeEncodingInfo | `GetNativeFontEncoding(encoding)`
long | `GetNumberFromUser(message, prompt, caption, value, min, max, parent, pos)`
String | `GetOsDescription()`
(platform, major, minor) | `GetOsVersion()`
String | `GetPasswordFromUser(message, caption, default_value, parent)`
int | ``GetPowerType`()` return the current system power state: online or offline
unsigned long | `GetProcessId()`
String | `GetSingleChoice(message, caption, choices, parent, x, y, centre, width, height)`
int | `GetSingleChoiceIndex(message, caption, choices, parent, x, y, centre, width, height)`
String | `GetStockHelpString(id, client)`
String | `GetStockLabel(id, flags)`
String | `GetTextFromUser(message, caption, default_value, parent, x, y, centre)`
Window | `GetTopLevelParent(win)`
PyObject | ``GetTopLevelWindows`()` Returns a list of the the application's top-level windows, (frames, dialogs, etc.) NOTE: Currently this is a copy of the list maintained by wxWidgets, and so it is only valid as long as no top-level windows are closed or new top-level windows are created.
String | ``GetTranslation`(str)` GetTranslation(String str, String domain) -> String GetTranslation(String str, String strPlural, size_t n) -> String GetTranslation(String str, String strPlural, size_t n, String domain) -> String
String | `GetUserHome(user)`
String | `GetUserId()`
String | `GetUserName()`
long | `GetUTCTime()`
void | ``GetXDisplay`()` Returns a swigified pointer to the X11 display.
IconBundle | `IconBundleFromFile(file, type)`
IconBundle | `IconBundleFromIcon(icon)`
Icon | `IconFromBitmap(bmp)`
Icon | `IconFromLocation(loc)`
Icon | `IconFromXPMData(listOfStrings)`
Image | ``ImageFromBitmap`(bitmap)` Construct an Image from a `wx.Bitmap`.
| ``ImageFromBuffer`(width, height, dataBuffer, alphaBuffer)` Creates a `wx.Image` from the data in dataBuffer.
Image | ``ImageFromData`(width, height, data)` Construct an Image from a buffer of RGB bytes.
Image | ``ImageFromDataWithAlpha`(width, height, data, alpha)` Construct an Image from a buffer of RGB bytes with an Alpha channel.
Image | ``ImageFromMime`(name, mimetype, index)` Loads an image from a file, using a MIME type string (such as 'image/jpeg') to specify image type.
Image | ``ImageFromStream`(stream, type, index)` Loads an image from an input stream, or any readable Python file-like object.
Image | ``ImageFromStreamMime`(stream, mimetype, index)` Loads an image from an input stream, or any readable Python file-like object, specifying the image format with a MIME type string.
| ``InitAllImageHandlers`()` The former functionality of InitAllImageHanders is now done internal to the _core_ extension module and so this function has become a simple NOP.
Rect | ``IntersectRect`(r1, r2)` Calculate and return the intersection of r1 and r2.
bool | `IsBusy()`
bool | `IsDragResultOk(res)`
bool | `IsPlatform64Bit()`
bool | `IsPlatformLittleEndian()`
bool | `IsStockID(id)`
bool | `IsStockLabel(id, label)`
int | `Kill(pid, sig, rc, flags)`
bool | ``LaunchDefaultBrowser`(url)` Launches the user's default browser and tells it to open the location at `url`.
String | `LoadFileSelector(what, extension, default_name, parent)`
| `LogDebug(msg)`
| `LogError(msg)`
| `LogFatalError(msg)`
| ``LogGeneric`(*args, **kwargs)` LogGeneric(unsigned long level, String msg)
| `LogInfo(msg)`
| `LogMessage(msg)`
| `LogStatus(msg)`
| `LogStatusFrame(pFrame, msg)`
| `LogSysError(msg)`
| ``LogTrace`(*args)` LogTrace(unsigned long mask, String msg) LogTrace(String mask, String msg)
| `LogVerbose(msg)`
| `LogWarning(msg)`
| ``MaskColour`(*args, **kwargs)` wx.MaskColour is deprecated, use `wx.Mask` instead.
MemoryDC | ``MemoryDCFromDC`(oldDC)` Creates a DC that is compatible with the oldDC.
int | `MessageBox(message, caption, style, parent, x, y)`
| ``MicroSleep`(*args, **kwargs)` MicroSleep(unsigned long microseconds)
| ``MilliSleep`(*args, **kwargs)` MilliSleep(unsigned long milliseconds)
| `MutexGuiEnter()`
| `MutexGuiLeave()`
Colour | ``NamedColor`(colorName)` Constructs a colour object using a colour name listed in `wx.TheColourDatabase`.
Colour | ``NamedColour`(colorName)` Constructs a colour object using a colour name listed in `wx.TheColourDatabase`.
EventType | `NewEventType()`
long | `NewId()`
String | `Now()`
FileTypeInfo | `NullFileTypeInfo()`
Point2D | ``Point2DCopy`(pt)` Create a w.Point2D object.
Point2D | ``Point2DFromPoint`(pt)` Create a w.Point2D object.
| ``PostEvent`(dest, event)` Send an event to a window or other wx.EvtHandler to be processed later.
BitmapButton | ``PreBitmapButton`()` Precreate a BitmapButton for 2-phase creation.
Button | ``PreButton`()` Precreate a Button for 2-phase creation.
CheckBox | ``PreCheckBox`()` Precreate a CheckBox for 2-phase creation.
CheckListBox | `PreCheckListBox()`
Choice | ``PreChoice`()` Precreate a Choice control for 2-phase creation.
Choicebook | `PreChoicebook()`
CollapsiblePane | ``PreCollapsiblePane`()` Precreate a wx.CollapsiblePane for 2-phase creation.
ColourPickerCtrl | ``PreColourPickerCtrl`()` This control allows the user to select a colour.
ComboBox | ``PreComboBox`()` Precreate a ComboBox control for 2-phase creation.
Control | ``PreControl`()` Precreate a Control control for 2-phase creation
DatePickerCtrl | ``PreDatePickerCtrl`()` Precreate a DatePickerCtrl for use in 2-phase creation.
Dialog | `PreDialog()`
DirFilterListCtrl | `PreDirFilterListCtrl()`
DirPickerCtrl | `PreDirPickerCtrl()`
FilePickerCtrl | `PreFilePickerCtrl()`
FindReplaceDialog | ``PreFindReplaceDialog`()` Precreate a FindReplaceDialog for 2-phase creation
FontPickerCtrl | `PreFontPickerCtrl()`
Frame | `PreFrame()`
Gauge | `PreGauge()`
GenericDirCtrl | `PreGenericDirCtrl()`
HtmlListBox | `PreHtmlListBox()`
HyperlinkCtrl | ``PreHyperlinkCtrl`()` A static text control that emulates a hyperlink.
Listbook | `PreListbook()`
ListBox | `PreListBox()`
ListCtrl | `PreListCtrl()`
ListView | `PreListView()`
MDIChildFrame | `PreMDIChildFrame()`
MDIClientWindow | `PreMDIClientWindow()`
MDIParentFrame | `PreMDIParentFrame()`
MiniFrame | `PreMiniFrame()`
Notebook | `PreNotebook()`
Panel | `PrePanel()`
PopupTransientWindow | `PrePopupTransientWindow()`
PopupWindow | `PrePopupWindow()`
PyControl | `PrePyControl()`
PyPanel | `PrePyPanel()`
PyScrolledWindow | `PrePyScrolledWindow()`
PyWindow | `PrePyWindow()`
RadioBox | `PreRadioBox()`
RadioButton | `PreRadioButton()`
SashLayoutWindow | `PreSashLayoutWindow()`
SashWindow | `PreSashWindow()`
ScrollBar | `PreScrollBar()`
ScrolledWindow | `PreScrolledWindow()`
SearchCtrl | ``PreSearchCtrl`()` Precreate a wx.SearchCtrl for 2-phase creation.
SimpleHtmlListBox | `PreSimpleHtmlListBox()`
SingleInstanceChecker | `PreSingleInstanceChecker()`
Slider | `PreSlider()`
SpinButton | `PreSpinButton()`
SpinCtrl | `PreSpinCtrl()`
SplitterWindow | ``PreSplitterWindow`()` Precreate a SplitterWindow for 2-phase creation.
StaticBitmap | `PreStaticBitmap()`
StaticBox | `PreStaticBox()`
StaticLine | `PreStaticLine()`
StaticText | `PreStaticText()`
StatusBar | `PreStatusBar()`
TextCtrl | `PreTextCtrl()`
ToggleButton | `PreToggleButton()`
ToolBar | `PreToolBar()`
Toolbook | `PreToolbook()`
Treebook | `PreTreebook()`
TreeCtrl | `PreTreeCtrl()`
VListBox | `PreVListBox()`
VScrolledWindow | `PreVScrolledWindow()`
Window | ``PreWindow`()` Precreate a Window for 2-phase creation.
Rect | ``RectPP`(topLeft, bottomRight)` Create a new Rect object from Points representing two corners.
Rect | ``RectPS`(pos, size)` Create a new Rect from a position and size.
Rect | ``RectS`(size)` Create a new Rect from a size only.
Region | `RegionFromBitmap(bmp)`
Region | `RegionFromBitmapColour(bmp, transColour, tolerance)`
Region | `RegionFromPoints(points, fillStyle)`
| `RegisterId(id)`
| `SafeShowMessage(title, text)`
bool | ``SafeYield`(win, onlyIfNeeded)` This function is similar to `wx.Yield`, except that it disables the user input to all program windows before calling `wx.Yield` and re-enables it again afterwards.
String | `SaveFileSelector(what, extension, default_name, parent)`
| `SetCursor(cursor)`
| ``SetDefaultPyEncoding`(encoding)` Sets the encoding that wxPython will use when it needs to convert a Python string or unicode object to or from a wxString.
bool | `Shell(command)`
bool | `ShowTip(parent, tipProvider, showAtStartup)`
bool | `Shutdown(wFlags)`
SizerItem | ``SizerItemSizer`(sizer, proportion, flag, border, userData)` Constructs a `wx.SizerItem` for tracking a subsizer
SizerItem | ``SizerItemSpacer`(width, height, proportion, flag, border, userData)` Constructs a `wx.SizerItem` for tracking a spacer.
SizerItem | ``SizerItemWindow`(window, proportion, flag, border, userData)` Constructs a `wx.SizerItem` for tracking a window.
| `Sleep(secs)`
Sound | `SoundFromData(data)`
| `StartTimer()`
Cursor | ``StockCursor`(id)` Create a cursor using one of the stock cursors.
String | `StripMenuCodes(in)`
unsigned long | `SysErrorCode()`
| ``SysErrorMsg`(*args, **kwargs)` SysErrorMsg(unsigned long nErrCode=0) -> String
bool | `TestFontEncoding(info)`
bool | `Thread_IsMain()`
TimeSpan | `TimeSpan_Days(days)`
TimeSpan | `TimeSpan_Hours(hours)`
TimeSpan | `TimeSpan_Milliseconds(ms)`
TimeSpan | `TimeSpan_Minutes(min)`
TimeSpan | `TimeSpan_Seconds(sec)`
TimeSpan | `TimeSpan_Weeks(days)`
| `Trap()`
| ``Usleep`(*args, **kwargs)` MilliSleep(unsigned long milliseconds)
| ``version`()` Returns a string containing version and port info
| ``WakeUpIdle`()` Cause the message queue to become empty again, so idle events will be sent.
| `WakeUpMainThread()`
| ``Window_FromHWND`(*args, **kwargs)` Window_FromHWND(Window parent, unsigned long _hWnd) -> Window
bool | ``Yield`()` Yield to other apps/messages.
bool | ``YieldIfNeeded`()` Yield to other apps/messages.

Function Details

### AboutBox(info)

This function shows the standard about dialog containing the information specified in `info`. If the current platform has a native about dialog which is capable of showing all the fields in `wx.AboutDialogInfo`, the native dialog is used, otherwise the function falls back to the generic wxWidgets version of the dialog.

  Parameters:
    `info`
    (type=AboutDialogInfo)

### App_CleanUp()

For internal use only, it is used to cleanup after wxWidgets when Python shuts down.

### AutoBufferedPaintDCFactory(window)

Checks if the window is natively double buffered and will return a `wx.PaintDC` if it is, a `wx.BufferedPaintDC` otherwise. The advantage of this function over `wx.AutoBufferedPaintDC` is that this function will check if the the specified window has double-buffering enabled rather than just going by platform defaults.

  Parameters:
    `window`
    (type=Window)

  Returns:
    DC

### BitmapFromBits(bits, width, height, depth=1)

Creates a bitmap from an array of bits. You should only use this function for monochrome bitmaps (depth 1) in portable programs: in this case the bits parameter should contain an XBM image. For other bit depths, the behaviour is platform dependent.

  Parameters:
    `bits`
    (type=PyObject)

    `width`
    (type=int)

    `height`
    (type=int)

    `depth`
    (type=int)

  Returns:
    Bitmap

### BitmapFromBuffer(width, height, dataBuffer, alphaBuffer=None)

Creates a `wx.Bitmap` from the data in dataBuffer. The dataBuffer parameter must be a Python object that implements the buffer interface, such as a string, array, etc. The dataBuffer object is expected to contain a series of RGB bytes and be width*height*3 bytes long. A buffer object can optionally be supplied for the image's alpha channel data, and it is expected to be width*height bytes long. On Windows the RGB values are 'premultiplied' by the alpha values. (The other platforms do the multiplication themselves.)

Unlike `wx.ImageFromBuffer` the bitmap created with this function does not share the memory buffer with the buffer object. This is because the native pixel buffer format varies on different platforms, and so instead an efficient as possible copy of the data is made from the buffer objects to the bitmap's native pixel buffer. For direct access to a bitmap's pixel buffer see `wx.NativePixelData` and `wx.AlphaPixelData`.

  See Also:

  `wx.Bitmap`, `wx.BitmapFromBufferRGBA`, `wx.NativePixelData`, `wx.AlphaPixelData`, `wx.ImageFromBuffer`

### BitmapFromBufferRGBA(width, height, dataBuffer)

Creates a `wx.Bitmap` from the data in dataBuffer. The dataBuffer parameter must be a Python object that implements the buffer interface, such as a string, array, etc. The dataBuffer object is expected to contain a series of RGBA bytes (red, green, blue and alpha) and be width*height*4 bytes long. On Windows the RGB values are 'premultiplied' by the alpha values. (The other platforms do the multiplication themselves.)

Unlike `wx.ImageFromBuffer` the bitmap created with this function does not share the memory buffer with the buffer object. This is because the native pixel buffer format varies on different platforms, and so instead an efficient as possible copy of the data is made from the buffer object to the bitmap's native pixel buffer. For direct access to a bitmap's pixel buffer see `wx.NativePixelData` and `wx.AlphaPixelData`.

  See Also:

  `wx.Bitmap`, `wx.BitmapFromBuffer`, `wx.NativePixelData`, `wx.AlphaPixelData`, `wx.ImageFromBuffer`

### BitmapFromIcon(icon)

Create a new bitmap from a `wx.Icon` object.

  Parameters:
    `icon`
    (type=Icon)

  Returns:
    Bitmap

### BitmapFromImage(image, depth=-1)

Creates bitmap object from a `wx.Image`. This has to be done to actually display a `wx.Image` as you cannot draw an image directly on a window. The resulting bitmap will use the provided colour depth (or that of the current screen colour depth if depth is -1) which entails that a colour reduction may have to take place.

  Parameters:
    `image`
    (type=Image)

    `depth`
    (type=int)

  Returns:
    Bitmap

### BitmapFromXPMData(listOfStrings)

Construct a Bitmap from a list of strings formatted as XPM data.

  Parameters:
    `listOfStrings`
    (type=PyObject)

  Returns:
    Bitmap

### BrushFromBitmap(stippleBitmap)

Constructs a stippled brush using a bitmap.

  Parameters:
    `stippleBitmap`
    (type=Bitmap)

  Returns:
    Brush

### CallAfter(callable, *args, **kw)

Call the specified function after the current and pending event handlers have been completed. This is also good for making GUI method calls from non-GUI threads. Any extra positional or keyword args are passed on to the callable when it is called.

  See Also:

  `wx.CallLater`

### ColorRGB(*args, **kwargs)

ColourRGB(unsigned long colRGB) -> Colour

Constructs a colour from a packed RGB value.

### ColourRGB(*args, **kwargs)

ColourRGB(unsigned long colRGB) -> Colour

Constructs a colour from a packed RGB value.

### CursorFromImage(image)

Constructs a cursor from a `wx.Image`. The mask (if any) will be used for setting the transparent portions of the cursor. In MSW the cursor is resized to 32x32 if it was larger.

In GTK the cursor will be displayed at the size of the image.

On MacOS the cursor is resized to 16x16 if it was larger.

  Parameters:
    `image`
    (type=Image)

  Returns:
    Cursor

### CustomDataFormat(format)

Constructs a data format object for a custom format identified by its name.

  Parameters:
    `format`
    (type=String)

  Returns:
    DataFormat

### DLG_PNT(win, point_or_x, y=None)

Convenience function for converting a Point or (x,y) in dialog units to pixel units.

### DLG_SZE(win, size_width, height=None)

Convenience function for converting a Size or (w,h) in dialog units to pixel units.

### DROP_ICON(filename)

Returns either a `wx.Cursor` or `wx.Icon` created from the image file `filename`. This function is useful with the `wx.DropSource` class which, depending on platform accepts either a icon or a cursor.

### EmptyBitmap(width, height, depth=-1)

Creates a new bitmap of the given size. A depth of -1 indicates the depth of the current screen or visual. Some platforms only support 1 for monochrome and -1 for the current display depth.

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `depth`
    (type=int)

  Returns:
    Bitmap

### EmptyImage(width=0, height=0, clear=True)

Construct an empty image of a given size, optionally setting all pixels to black.

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `clear`
    (type=bool)

  Returns:
    Image

  See Also:

  `wx.Image`

### Exit()

Force an exit of the application. Convenience for wx.GetApp().Exit()

### ExpandEnvVars(sz)

Replace environment variables ($SOMETHING) with their values. The format is $VARNAME or ${VARNAME} where VARNAME contains alphanumeric characters and '_' only. '$' must be escaped ('$') in order to be taken literally.

  Parameters:
    `sz`
    (type=String)

  Returns:
    String

### FFont(pointSize, family, flags=FONTFLAG_DEFAULT, face=EmptyString, encoding=FONTENCODING_DEFAULT)

A bit of a simpler way to create a `wx.Font` using flags instead of individual attribute settings. The value of flags can be a combination of the following:

> wx.FONTFLAG_DEFAULT |
> wx.FONTFLAG_ITALIC |
> wx.FONTFLAG_SLANT |
> wx.FONTFLAG_LIGHT |
> wx.FONTFLAG_BOLD |
> wx.FONTFLAG_ANTIALIASED |
> wx.FONTFLAG_NOT_ANTIALIASED |
> wx.FONTFLAG_UNDERLINED |
> wx.FONTFLAG_STRIKETHROUGH |

  Parameters:
    `pointSize`
    (type=int)

    `family`
    (type=int)

    `flags`
    (type=int)

    `face`
    (type=String)

    `encoding`
    (type=int)

  Returns:
    Font

  See Also:

  `wx.Font.__init__`

### FFontFromPixelSize(pixelSize, family, flags=FONTFLAG_DEFAULT, face=wxEmptyString, encoding=FONTENCODING_DEFAULT)

Creates a font using a size in pixels rather than points. If there is platform API support for this then it is used, otherwise a font with the closest size is found using a binary search.

  Parameters:
    `pixelSize`
    (type=Size)

    `family`
    (type=int)

    `flags`
    (type=int)

    `face`
    (type=String)

    `encoding`
    (type=int)

  Returns:
    Font

  See Also:

  `wx.Font.__init__`, `wx.FFont`

### FindWindowAtPointer()

Returns the window currently under the mouse pointer, if it belongs to
  this application. Otherwise it returns None.

  Returns:
    Window

### FindWindowById(id, parent=None)

Find the first window in the application with the given id. If parent is None, the search will start from all top-level frames and dialog boxes; if non-None, the search will be limited to the given window hierarchy. The search is recursive in both cases.

  Parameters:
    `id`
    (type=long)

    `parent`
    (type=Window)

  Returns:
    Window

### FindWindowByLabel(label, parent=None)

Find a window by its label. Depending on the type of window, the label may be a window title or panel item label. If parent is None, the search will start from all top-level frames and dialog boxes; if non-None, the search will be limited to the given window hierarchy. The search is recursive in both cases.

  Parameters:
    `label`
    (type=String)

    `parent`
    (type=Window)

  Returns:
    Window

### FindWindowByName(name, parent=None)

Find a window by its name (as given in a window constructor or Create function call). If parent is None, the search will start from all top-level frames and dialog boxes; if non-None, the search will be limited to the given window hierarchy. The search is recursive in both cases.

If no window with such name is found, wx.FindWindowByLabel is called.

  Parameters:
    `name`
    (type=String)

    `parent`
    (type=Window)

  Returns:
    Window

### Font2(*args, **kwargs)

Use `wx.FFont` instead.

### FontFromNativeInfo(info)

Construct a `wx.Font` from a `wx.NativeFontInfo` object.

  Parameters:
    `info`
    (type=NativeFontInfo)

  Returns:
    Font

### FontFromNativeInfoString(info)

Construct a `wx.Font` from the string representation of a `wx.NativeFontInfo` object.

  Parameters:
    `info`
    (type=String)

  Returns:
    Font

### FontFromPixelSize(pixelSize, family, style, weight, underlined=False, face=wxEmptyString, encoding=FONTENCODING_DEFAULT)

Creates a font using a size in pixels rather than points. If there is platform API support for this then it is used, otherwise a font with the closest size is found using a binary search.

  Parameters:
    `pixelSize`
    (type=Size)

    `family`
    (type=int)

    `style`
    (type=int)

    `weight`
    (type=int)

    `underlined`
    (type=bool)

    `face`
    (type=String)

    `encoding`
    (type=int)

  Returns:
    Font

  See Also:

  `wx.Font.__init__`

### GBSizerItemSizer(sizer, pos, span, flag, border, userData=None)

Construct a `wx.GBSizerItem` for a sizer

  Parameters:
    `sizer`
    (type=Sizer)

    `pos`
    (type=GBPosition)

    `span`
    (type=GBSpan)

    `flag`
    (type=int)

    `border`
    (type=int)

    `userData`
    (type=PyObject)

  Returns:
    GBSizerItem

### GBSizerItemSpacer(width, height, pos, span, flag, border, userData=None)

Construct a `wx.GBSizerItem` for a spacer.

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `pos`
    (type=GBPosition)

    `span`
    (type=GBSpan)

    `flag`
    (type=int)

    `border`
    (type=int)

    `userData`
    (type=PyObject)

  Returns:
    GBSizerItem

### GBSizerItemWindow(window, pos, span, flag, border, userData=None)

Construct a `wx.GBSizerItem` for a window.

  Parameters:
    `window`
    (type=Window)

    `pos`
    (type=GBPosition)

    `span`
    (type=GBSpan)

    `flag`
    (type=int)

    `border`
    (type=int)

    `userData`
    (type=PyObject)

  Returns:
    GBSizerItem

### GetActiveWindow()

Get the currently active window of this application, or None

  Returns:
    Window

### GetApp()

Return a reference to the current wx.App object.

  Returns:
    PyApp

### GetBatteryState()

return approximate battery state

  Returns:
    int

### GetDefaultPyEncoding()

Gets the current encoding that wxPython will use when it needs to convert a Python string or unicode object to or from a wxString.

  Returns:
    string

### GetElapsedTime(*args, **kwargs)

<function GetElapsedTime at 0xb79ab144> is deprecated

### GetKeyState(key)

Get the state of a key (true if pressed or toggled on, false if not.) This is generally most useful getting the state of the modifier or toggle keys. On some platforms those may be the only keys that this function is able to detect.

  Parameters:
    `key`
    (type=int)

  Returns:
    bool

### GetMousePosition()

Get the current mouse position on the screen.

  Returns:
    Point

### GetMouseState()

Returns the current state of the mouse. Returns an instance of a `wx.MouseState` object that contains the current position of the mouse pointer in screen coordinants, as well as boolean values indicating the up/down status of the mouse buttons and the modifier keys.

  Returns:
    MouseState

### GetPowerType()

return the current system power state: online or offline

  Returns:
    int

### GetTopLevelWindows()

Returns a list of the the application's top-level windows, (frames, dialogs, etc.) NOTE: Currently this is a copy of the list maintained by wxWidgets, and so it is only valid as long as no top-level windows are closed or new top-level windows are created.

  Returns:
    PyObject

### GetTranslation(str)

GetTranslation(String str, String domain) -> String GetTranslation(String str, String strPlural, size_t n) -> String GetTranslation(String str, String strPlural, size_t n, String domain) -> String

  Parameters:
    `str`
    (type=String)

  Returns:
    String

### GetXDisplay()

Returns a swigified pointer to the X11 display. Returns None on other platforms.

  Returns:
    void

### ImageFromBitmap(bitmap)

Construct an Image from a `wx.Bitmap`.

  Parameters:
    `bitmap`
    (type=Bitmap)

  Returns:
    Image

  See Also:

  `wx.Image`

### ImageFromBuffer(width, height, dataBuffer, alphaBuffer=None)

Creates a `wx.Image` from the data in dataBuffer. The dataBuffer parameter must be a Python object that implements the buffer interface, such as a string, array, etc. The dataBuffer object is expected to contain a series of RGB bytes and be width*height*3 bytes long. A buffer object can optionally be supplied for the image's alpha channel data, and it is expected to be width*height bytes long.

The wx.Image will be created with its data and alpha pointers initialized to the memory address pointed to by the buffer objects, thus saving the time needed to copy the image data from the buffer object to the wx.Image. While this has advantages, it also has the shoot-yourself-in-the-foot risks associated with sharing a C pointer between two objects.

To help alleviate the risk a reference to the data and alpha buffer objects are kept with the wx.Image, so that they won't get deleted until after the wx.Image is deleted. However please be aware that it is not guaranteed that an object won't move its memory buffer to a new location when it needs to resize its contents. If that happens then the wx.Image will end up referring to an invalid memory location and could cause the application to crash. Therefore care should be taken to not manipulate the objects used for the data and alpha buffers in a way that would cause them to change size.

### ImageFromData(width, height, data)

Construct an Image from a buffer of RGB bytes. Accepts either a string or a buffer object holding the data and the length of the data must be width*height*3.

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `data`
    (type=buffer)

  Returns:
    Image

  See Also:

  `wx.Image`

### ImageFromDataWithAlpha(width, height, data, alpha)

Construct an Image from a buffer of RGB bytes with an Alpha channel. Accepts either a string or a buffer object holding the data and the length of the data must be width*height*3 bytes, and the length of the alpha data must be width*height bytes.

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `data`
    (type=buffer)

    `alpha`
    (type=buffer)

  Returns:
    Image

  See Also:

  `wx.Image`

### ImageFromMime(name, mimetype, index=-1)

Loads an image from a file, using a MIME type string (such as 'image/jpeg') to specify image type.

  Parameters:
    `name`
    (type=String)

    `mimetype`
    (type=String)

    `index`
    (type=int)

  Returns:
    Image

  See Also:

  `wx.Image`

### ImageFromStream(stream, type=BITMAP_TYPE_ANY, index=-1)

Loads an image from an input stream, or any readable Python file-like object.

  Parameters:
    `stream`
    (type=InputStream)

    `type`
    (type=long)

    `index`
    (type=int)

  Returns:
    Image

  See Also:

  `wx.Image`

### ImageFromStreamMime(stream, mimetype, index=-1)

Loads an image from an input stream, or any readable Python file-like object, specifying the image format with a MIME type string.

  Parameters:
    `stream`
    (type=InputStream)

    `mimetype`
    (type=String)

    `index`
    (type=int)

  Returns:
    Image

  See Also:

  `wx.Image`

### InitAllImageHandlers()

The former functionality of InitAllImageHanders is now done internal to the _core_ extension module and so this function has become a simple NOP.

### IntersectRect(r1, r2)

Calculate and return the intersection of r1 and r2.

  Parameters:
    `r1`
    (type=Rect)

    `r2`
    (type=Rect)

  Returns:
    Rect

### LaunchDefaultBrowser(url)

Launches the user's default browser and tells it to open the location at `url`. Returns `True` if the application was successfully launched.

  Parameters:
    `url`
    (type=String)

  Returns:
    bool

### LogGeneric(*args, **kwargs)

LogGeneric(unsigned long level, String msg)

### LogTrace(*args)

LogTrace(unsigned long mask, String msg) LogTrace(String mask, String msg)

### MaskColour(*args, **kwargs)

wx.MaskColour is deprecated, use `wx.Mask` instead.

### MemoryDCFromDC(oldDC)

Creates a DC that is compatible with the oldDC.

  Parameters:
    `oldDC`
    (type=DC)

  Returns:
    MemoryDC

### MicroSleep(*args, **kwargs)

MicroSleep(unsigned long microseconds)

### MilliSleep(*args, **kwargs)

MilliSleep(unsigned long milliseconds)

### NamedColor(colorName)

Constructs a colour object using a colour name listed in `wx.TheColourDatabase`.

  Parameters:
    `colorName`
    (type=String)

  Returns:
    Colour

### NamedColour(colorName)

Constructs a colour object using a colour name listed in `wx.TheColourDatabase`.

  Parameters:
    `colorName`
    (type=String)

  Returns:
    Colour

### Point2DCopy(pt)

Create a w.Point2D object.

  Parameters:
    `pt`
    (type=Point2D)

  Returns:
    Point2D

### Point2DFromPoint(pt)

Create a w.Point2D object.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point2D

### PostEvent(dest, event)

Send an event to a window or other wx.EvtHandler to be processed later.

  Parameters:
    `dest`
    (type=EvtHandler)

    `event`
    (type=Event)

### PreBitmapButton()

Precreate a BitmapButton for 2-phase creation.

  Returns:
    BitmapButton

### PreButton()

Precreate a Button for 2-phase creation.

  Returns:
    Button

### PreCheckBox()

Precreate a CheckBox for 2-phase creation.

  Returns:
    CheckBox

### PreChoice()

Precreate a Choice control for 2-phase creation.

  Returns:
    Choice

### PreCollapsiblePane()

Precreate a wx.CollapsiblePane for 2-phase creation.

  Returns:
    CollapsiblePane

### PreColourPickerCtrl()

This control allows the user to select a colour. The generic implementation is a button which brings up a `wx.ColourDialog` when clicked. Native implementations may differ but this is usually a (small) widget which give access to the colour-chooser dialog. Window Styles -------------

> wx.CLRP_DEFAULT | Default style.
> wx.CLRP_USE_TEXTCTRL | Creates a text control to the left of the picker button which is completely managed by the `wx.ColourPickerCtrl` and which can be used by the user to specify a colour. The text control is automatically synchronized with the button's value. Use functions defined in `wx.PickerBase` to modify the text control.
> wx.CLRP_SHOW_LABEL | Shows the colour in HTML form (AABBCC) as the colour button label (instead of no label at all).

# Events

> EVT_COLOURPICKER_CHANGED | The user changed the colour selected in the control either using the button or using the text control (see wx.CLRP_USE_TEXTCTRL; note that in this case the event is fired only if the user's input is valid, i.e. recognizable).

  Returns:
    ColourPickerCtrl

### PreComboBox()

Precreate a ComboBox control for 2-phase creation.

  Returns:
    ComboBox

### PreControl()

Precreate a Control control for 2-phase creation

  Returns:
    Control

### PreDatePickerCtrl()

Precreate a DatePickerCtrl for use in 2-phase creation.

  Returns:
    DatePickerCtrl

### PreFindReplaceDialog()

Precreate a FindReplaceDialog for 2-phase creation

  Returns:
    FindReplaceDialog

### PreHyperlinkCtrl()

A static text control that emulates a hyperlink. The link is displayed in an appropriate text style, derived from the control's normal font. When the mouse rolls over the link, the cursor changes to a hand and the link's color changes to the active color.

Clicking on the link does not launch a web browser; instead, a wx.HyperlinkEvent is fired. Use the wx.EVT_HYPERLINK to catch link events.

  Returns:
    HyperlinkCtrl

### PreSearchCtrl()

Precreate a wx.SearchCtrl for 2-phase creation.

  Returns:
    SearchCtrl

### PreSplitterWindow()

Precreate a SplitterWindow for 2-phase creation.

  Returns:
    SplitterWindow

### PreWindow()

Precreate a Window for 2-phase creation.

  Returns:
    Window

### RectPP(topLeft, bottomRight)

Create a new Rect object from Points representing two corners.

  Parameters:
    `topLeft`
    (type=Point)

    `bottomRight`
    (type=Point)

  Returns:
    Rect

### RectPS(pos, size)

Create a new Rect from a position and size.

  Parameters:
    `pos`
    (type=Point)

    `size`
    (type=Size)

  Returns:
    Rect

### RectS(size)

Create a new Rect from a size only.

  Parameters:
    `size`
    (type=Size)

  Returns:
    Rect

### SafeYield(win=None, onlyIfNeeded=False)

This function is similar to `wx.Yield`, except that it disables the user input to all program windows before calling `wx.Yield` and re-enables it again afterwards. If `win` is not None, this window will remain enabled, allowing the implementation of some limited user interaction.

  Parameters:
    `win`
    (type=Window)

    `onlyIfNeeded`
    (type=bool)

  Returns:

    the result of the call to `wx.Yield`.

    (type=bool)

### SetDefaultPyEncoding(encoding)

Sets the encoding that wxPython will use when it needs to convert a Python string or unicode object to or from a wxString.

The default encoding is the value of `locale.getdefaultlocale()[1]` but please be aware that the default encoding within the same locale may be slightly different on different platforms. For example, please see http://www.alanwood.net/demos/charsetdiffs.html for differences between the common latin/roman encodings.

  Parameters:
    `encoding`
    (type=string)

### SizerItemSizer(sizer, proportion, flag, border, userData=None)

Constructs a `wx.SizerItem` for tracking a subsizer

  Parameters:
    `sizer`
    (type=Sizer)

    `proportion`
    (type=int)

    `flag`
    (type=int)

    `border`
    (type=int)

    `userData`
    (type=PyObject)

  Returns:
    SizerItem

### SizerItemSpacer(width, height, proportion, flag, border, userData=None)

Constructs a `wx.SizerItem` for tracking a spacer.

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `proportion`
    (type=int)

    `flag`
    (type=int)

    `border`
    (type=int)

    `userData`
    (type=PyObject)

  Returns:
    SizerItem

### SizerItemWindow(window, proportion, flag, border, userData=None)

Constructs a `wx.SizerItem` for tracking a window.

  Parameters:
    `window`
    (type=Window)

    `proportion`
    (type=int)

    `flag`
    (type=int)

    `border`
    (type=int)

    `userData`
    (type=PyObject)

  Returns:
    SizerItem

### StockCursor(id)

Create a cursor using one of the stock cursors. Note that not all stock cursors are available on all platforms.

  Parameters:
    `id`
    (type=int)

  Returns:
    Cursor

### SysErrorMsg(*args, **kwargs)

SysErrorMsg(unsigned long nErrCode=0) -> String

### Usleep(*args, **kwargs)

MilliSleep(unsigned long milliseconds)

### version()

Returns a string containing version and port info

### WakeUpIdle()

Cause the message queue to become empty again, so idle events will be sent.

### Window_FromHWND(*args, **kwargs)

Window_FromHWND(Window parent, unsigned long _hWnd) -> Window

### Yield()

Yield to other apps/messages. Convenience for wx.GetApp().Yield()

  Returns:
    bool

### YieldIfNeeded()

Yield to other apps/messages. Convenience for wx.GetApp().Yield(True)

  Returns:
    bool

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:16 2007 | http://epydoc.sf.net